{
    "summary": "Registro",
    "description": "Registro da conta do usuário.",
    "type": "object",
    "security": [
        { "BearerAuth": [] }
    ],
    "properties": {
      "name": {
        "type": "string-not-empty"
      },
      "surname": {
        "type": "string-not-empty"
      },
      "username": {
        "type": "string-not-empty"
      },
      "password": {
        "type": "string-not-empty"
      },
      "email": {
        "type": "string-not-empty"
      },
      "city_uid": {
        "type": "uid",
        "_schema": "cities"
      }
    },
    "required": [
      "name", "surname", "username", "password", "email", "city_uid"
    ]
}